gulp uglify를 수행하다 보면 에러를 자주 마주치곤 합니다. 


다 제가 JS를 제대로 활용하지 못해서죠 ㅠㅠㅠㅠㅠ 



에러는 아래와 같이 나오더라구요. 




안된다는 것을 상당히 적극적으로 표현하고 있습니다 !! 



그래서 어디가 머가 왜 에러냐고 알고 싶지만

gulp-uglify 만으로는 안되더라구요.




그래서 gulp-util 을 설치해줍니다 !! 

npm install gulp-util --save-dev



gulp 파일에 아래와 같이 추가해주고요.


var gutil       = require('gulp-util');



아래와 같이 사용해줍니다. :)

Source Code



실행해보면 처음과 다르게 노란색으로 표시한 부분이 붙어서 나옵니다 !!!

여기를 잘 보면 제가 멀 실수 했는지 나옵니다 :)





그러니깐 gulp-util 설치해서 gulp-uglify 에서 발생하는 에러를 잡아보자라는 것입니다 :)


+ Recent posts